Add one camera page to a short-lived capture
POST
/vehicle-document-captures/{token}/pages
const url = 'https://example.com/vehicle-document-captures/example/pages';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"data":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/vehicle-document-captures/example/pages \ --header 'Content-Type: application/json' \ --data '{ "data": "example" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”token
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
data
required
string
Example generated
{ "data": "example"}Responses
Section titled “Responses”Page added
Media typeapplication/json
object
id
required
UUID v7
string format: uuid
status
required
string
pageCount
required
integer
expiresAt
required
string format: date-time
data
required
string | null
Example
{ "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "status": "open"}No such capture
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}The capture is complete or already has 5 pages
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}